


/**
 * 
 * @param {object} data  接口/role/getRoleInfo返回的数据
 * @returns {Array} 获取data中的所有checkedList的id
 */

export function getAllCheckedListIds(data) {
    const checkedIds = [];

    // 递归遍历对象属性
    function traverse(obj) {
        if (typeof obj !== 'object' || obj === null) return;

        for (const key in obj) {
            if (key === 'checkedList' && Array.isArray(obj[key])) {
                checkedIds.push(...obj[key]);
            } else if (typeof obj[key] === 'object') {
                traverse(obj[key]);
            }
        }
    }

    traverse(data);
    return checkedIds;
}